- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
Sim::Actuator Class Referenceabstract

Actuator is a generic class defining a robot owned object that have an influence on it and/or its environment. More...

`#include <alrobotmodel.h>`

## Public Types
enum | Type { ANGLE_MOTOR, COUPLED_MOTOR, TORQUE_MOTOR, ANGLE_SPEED_MOTOR, WHEEL_TORQUE, WHEEL_VELOCITY, LED }
| gives the type of the Actuator. More...

## Public Member Functions
| Actuator (class ActuatorImpl *impl)
| private constructor. More...
| Actuator (const Actuator &other)
| copy constructor. More...
| ~Actuator ()
| destructor. More...
const Frame * | frame () const
| returns the Frame of the Actuator. More...
virtual const std::string & | name () const
| returns the name of the Actuator. More...
Type | type () const
| returns the Type of the Actuator. More...
virtual int | bufferSize () const =0
| returns the size of the buffer of a command to the Actuator in bits. More...

## Public Attributes
ActuatorImpl * | a_impl
| private implementation More...

## Detailed Description

Actuator is a generic class defining a robot owned object that have an influence on it and/or its environment.

Definition at line 574 of file alrobotmodel.h.

## Member Enumeration Documentation

enum Sim::Actuator::Type

gives the type of the Actuator.

Enumerator
ANGLE_MOTOR |
COUPLED_MOTOR |
TORQUE_MOTOR |
ANGLE_SPEED_MOTOR |
WHEEL_TORQUE |
WHEEL_VELOCITY |
LED | Not implemented yet.

Definition at line 578 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::Actuator::Actuator | ( | class ActuatorImpl * | impl | ) |

private constructor.

Sim::Actuator::Actuator | ( | const Actuator & | other | ) |

copy constructor.

Sim::Actuator::~Actuator | ( |  | ) |

destructor.

## Member Function Documentation

virtual int Sim::Actuator::bufferSize | ( |  | ) | const
| pure virtual

returns the size of the buffer of a command to the Actuator in bits.

Implemented in Sim::LEDActuator, Sim::WheelVelocityActuator, Sim::WheelTorqueActuator, Sim::AngleSpeedActuator, Sim::TorqueActuator, Sim::CoupledActuator, Sim::AngleActuator, and Sim::DCMActuator.

const Frame* Sim::Actuator::frame | ( |  | ) | const

returns the Frame of the Actuator.

virtual const std::string& Sim::Actuator::name | ( |  | ) | const
| virtual

returns the name of the Actuator.

Type Sim::Actuator::type | ( |  | ) | const

returns the Type of the Actuator.

## Member Data Documentation

ActuatorImpl* Sim::Actuator::a_impl

private implementation

Definition at line 606 of file alrobotmodel.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h